Packages - Packaging Request #2135

[blender] error while loading shared libraries: libopenvdb.s0.5.2
2019-01-11 11:40 AM - Rigo-V

Status: fixed % Done: 0%
Priority: broken

Assignee: bill-auger

Category:

Description

If | run blender with the current version of openvdb found in parabola repos, it fails with this error message:
blender: error while loading shared libraries: libopenvdb.so.5.2: cannot open shared object file:
No such file or directory

If | create a symlink called libopenvdb.s0.5.2 that points to libopenvdb.s0.6.0.0, | get the following error:

blender: symbol lookup error: blender: undefined symbol: _ZN7openvdb8v5_2abi32ioc4FileD1Ev

History

#1 - 2019-01-11 06:13 PM - bill-auger
- Priority changed from bug to broken
- Subject changed from [blender] Doesn't work with libvdb 6.0.0 to [blender] error while loading shared libraries: libopenvdb.so.5.2

- Tracker changed from Bug to Packaging Request

Rigo-V -

it looks like the blender package needs to be rebuilt - if you need to use it today, you can make it work by downgrading openvdb to v5.2.0 from the
archive

https://archive.archlinux.org/packages/o/openvdb/

#2 - 2019-01-30 09:50 PM - bill-auger

the previous work-around is not going to work anymore as 'boost' has been upgraded now

blender: error while loading shared libraries: libboost_locale.so.1.68.0: cannot open shared object file: No s
uch file or directory

#3 - 2019-02-01 02:12 AM - bill-auger

- Assignee set to bill-auger

rebuilt successfully for x86_64
rebuilt successfully for i686

#4 - 2019-02-02 01:26 AM - bill-auger
FTBS for arm

|  Scanning dependencies of target cycles_device

| [ 16%] Building CXX object intern/cycles/device/CMakeFiles/cycles_device.dir/device.cpp.o

| [ 16%] Building CXX object intern/cycles/device/CMakeFiles/cycles_device.dir/device_cpu.cpp.o

| /build/blender/src/blender-2.79.b.git4.2c0clf49/intern/cycles/device/device_cpu.cpp: In member function ‘v
oid ccl::CPUDevice::path_trace(ccl::DeviceTask&, ccl::RenderTile&, ccl::KernelGlobals*)'’:

|  /build/blender/src/blender-2.79.b.git4.2c0clf49/intern/cycles/device/device_cpu.cpp:722:27: error: ‘_MM_FL
USH_ZERO_ON’ was not declared in this scope

| _MM_SET_FLUSH_ZERO_MODE (_MM_FLUSH_ZERO_ON) ;

| N v o i v v i e e

| /build/blender/src/blender-2.79.b.git4.2c0clf49/intern/cycles/device/device_cpu.cpp:722:3: error: ‘_MM_SET
_FLUSH_ZERO_MODE’ was not declared in this scope

| _MM_SET_FLUSH_ZERO_MODE (_MM_FLUSH_ZERO_ON) ;
| /build/blender/src/blender-2.79.b.git4.2c0clf49/intern/cycles/device/device_cpu.

NORMALS_ZERO_ON’ was not declared in this scope
| _MM_SET_DENORMALS_ZERO_MODE (_MM_DENORMALS_ZERO_ON) ;

| ~

|  /build/blender/src/blender-2.79.b.gitd4.2c0clfd49/intern/cycles/device/device_cpu.

_DENORMALS_ZERO_MODE’ was not declared in this scope
| _MM_SET_DENORMALS_ZERO_MODE (_MM_DENORMALS_ZERO_ON) ;
| N i i o i i o e i o e

|  /build/blender/src/blender-2.79.b.git4.2c0clfd49/intern/cycles/device/device_cpu
ice* ccl::device_cpu_create(ccl::DeviceInfo&, ccl::Stats&, ccl::Profiler&, bool)':

|  /build/blender/src/blender-2.79.b.gitd4.2c0clfd49/intern/cycles/device/device_cpu.

’ ‘

of type ‘ccl::CPUDevice’ with extended alignment 16 [-Waligned-new=]
| return new CPUDevice (info, stats, profiler, background);

| ~

| /build/blender/src/blender-2.79.b.git4.2c0clfd49/intern/cycles/device/device_cpu.

oid* operator new(std::size_t)’, which does not have an alignment parameter
|  /build/blender/src/blender-2.79.b.gitd4.2c0clfd49/intern/cycles/device/device_cpu
aligned-new’ to enable C++17 over-—-aligned new support
| make[2]: *** [intern/cycles/device/CMakeFiles/cycles_device.dir/build.make:76:
iles/cycles_device.dir/device_cpu.cpp.o] Error 1
| make[l]: *** [CMakeFiles/Makefile2:1407:
make: [Makefile:163: all] Error 2
==> ERROR: A failure occurred in build() .
Aborting...
> Copying log and package files out of the chroot...

* kK

#5 - 2019-02-02 02:27 AM - bill-auger

MM_SET_FLUSH_ZERO_MODE / _MM_FLUSH_ZERO_ON and
_MM_SET_DENORMALS_ZERO_MODE / _MM_DENORMALS_ZERO_ON
are specific to x86 SSE2 - i have seen it suggested to wrap these with '#ifdef SSE2'

#6 - 2019-02-03 09:35 AM - bill-auger

- Status changed from open to fixed

solved - i just patched out those 2 macros during the arm builds
